# Walltaker95
A Walltaker client for legacy Windows versions (<= Windows Vista)

## Build instructions (CachyOS)
```
$ paru -Sy cmake mingw-w64-toolchain mingw-w64-curl mingw-w64-openssl
$ mkdir build
$ cd build
$ cmake -DCMAKE_TOOLCHAIN_FILE=../TC-mingw.cmake ../
$ cmake --build .
```

Note: You'll need to supply a 32-bit `libcurl-4.dll` manually as I can't figure out how to make it build on it's own
You can grab the latest one from [curl.se](https://curl.se/windows/) which should at least work on XP.

Feature progress:

* [ ] The bare minimum
    - [X] Downloads images
    - [X] Sets the wallpaper
    - [X] Converts images to BMP automatically
    - [ ] Reads configuration from `config.ini`
    - [X] Runs in the background
    - [ ] Continuously and asychronously polls the Walltaker API
        - [ ] Makes sure it isn't grabbing the same image every time
    - [ ] Context menu
        - [ ] Display who set the wallpaper
        - [ ] Display the e6 post ID
        - [ ] Buttons for reacting to the wallpaper
    - [ ] Display e6 post ID in the tray icon's tooltip

Tested and confirmed working on:

- [ ] Windows Vista
- [X] Windows XP *(SP3)*
- [ ] Windows 2000
- [ ] Windows ME
- [ ] Windows 98 (SE)
- [ ] Windows NT 4
- [ ] Windows 95
- [ ] Windows NT 3.51

Note: This software should work fine in newer versions of Windows, but you should probably stick to a client actually targeting newer versions.
